in scala.io
object Source

`object` Source
  `extends` java.lang.Object
  `with` scala.ScalaObject

  This object provides convenience methods to create an iterable representation of a source file.

Author:
  Burak Emir
Version:
  1.0, 19/08/2004

Constructor Summary
| `def` this

Def Summary
| `def` fromBytes (bytes: scala.Array[scala.Byte]) : scala.io.Source Creates a `Source` instance from the given array of bytes, with empty description.
| `def` fromBytes (bytes: scala.Array[scala.Byte], enc: java.lang.String) : scala.io.Source Creates Source from array of bytes with given encoding, with empty description.
| `def` fromChar (c: scala.Char) : scala.io.Source Creates a `Source` instance from a single character.
| `def` fromChars (chars: scala.Array[scala.Char]) : scala.io.Source creates Source from array of characters, with empty description.
| `def` fromFile (file: java.io.File) : scala.io.Source creates Source from file, using default character encoding, setting its description to filename.
| `def` fromFile (file: java.io.File, enc: java.lang.String) : scala.io.Source Creates Source from file, using given character encoding, setting its description to filename.
| `def` fromFile (name: java.lang.String) : scala.io.Source creates Source from file with given name, setting its description to filename.
| `def` fromFile (name: java.lang.String, enc: java.lang.String) : scala.io.Source creates Source from file with given name, using given encoding, setting its description to filename.
| `def` fromFile (uri: java.net.URI) : scala.io.Source creates Source from file with given file: URI
| `def` fromString (s: java.lang.String) : scala.io.Source creates Source from string, with empty description.
| `def` fromURL (s: java.lang.String) : scala.io.Source
| `def` fromURL (url: java.net.URL) : scala.io.Source
| `def` setFileDescriptor (file: java.io.File, s: scala.io.Source) : scala.io.Source

Constructor Detail

`def` this

Def Detail

`def` fromBytes (bytes: scala.Array[scala.Byte]): scala.io.Source

  Creates a `Source` instance from the given array of bytes, with empty description.

Parameters:
  `bytes -` ...
Returns:
  the created `Source` instance.

`def` fromBytes (bytes: scala.Array[scala.Byte], enc: java.lang.String): scala.io.Source

  Creates Source from array of bytes with given encoding, with empty description.

Parameters:
  `bytes -` ...
Parameters:
  `enc -` ...
Returns:
  ...

`def` fromChar (c: scala.Char): scala.io.Source

  Creates a `Source` instance from a single character.

Parameters:
  `c -` ...
Returns:
  the create `Source` instance.

`def` fromChars (chars: scala.Array[scala.Char]): scala.io.Source

  creates Source from array of characters, with empty description.

Parameters:
  `chars -` ...
Returns:
  ...

`def` fromFile (file: java.io.File): scala.io.Source

  creates Source from file, using default character encoding, setting its description to filename.

`def` fromFile (file: java.io.File, enc: java.lang.String): scala.io.Source

  Creates Source from file, using given character encoding, setting its description to filename.

Parameters:
  `file -` ...
Parameters:
  `enc -` ...
Returns:
  ...

`def` fromFile (name: java.lang.String): scala.io.Source

  creates Source from file with given name, setting its description to filename.

`def` fromFile (name: java.lang.String, enc: java.lang.String): scala.io.Source

  creates Source from file with given name, using given encoding, setting its description to filename.

`def` fromFile (uri: java.net.URI): scala.io.Source

  creates Source from file with given file: URI

`def` fromString (s: java.lang.String): scala.io.Source

  creates Source from string, with empty description.

Parameters:
  `s -` ...
Returns:
  ...

`def` fromURL (s: java.lang.String): scala.io.Source

Parameters:
  `s -` ...
Returns:
  ...

`def` fromURL (url: java.net.URL): scala.io.Source

Parameters:
  `url -` ...
Returns:
  ...

`def` setFileDescriptor (file: java.io.File, s: scala.io.Source): scala.io.Source

Parameters:
  `file -` ...
Parameters:
  `s -` ...
Returns:
  ...